org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodGenericAbstractBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanB<Long>
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanA

    @ApplicationScoped
    public class FallbackMethodGenericAbstractBeanA
    extends FallbackMethodGenericAbstractBeanB<Long>

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodGenericAbstractBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `fallback(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanB

`method`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodGenericAbstractBeanA

    public FallbackMethodGenericAbstractBeanA()

### Method Detail

#### fallback

    protected String fallback(int a,
                              Long b)

Specified by:
  `fallback` in class `FallbackMethodGenericAbstractBeanB<Long>`